> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Return Notes

> Get notes on a specific return using the return's ID.

### Required API key scope
- Returns




## OpenAPI

````yaml get /warehouse/return/{return_id}/notes
openapi: 3.1.0
info:
  title: Returns API
  version: v1
  description: API used for performing operations on returns.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Return Actions
  - name: Return Data
paths:
  /warehouse/return/{return_id}/notes:
    get:
      tags:
        - Return Actions
      summary: Get Return Notes
      description: |
        Get notes on a specific return using the return's ID.

        ### Required API key scope
        - Returns
      operationId: getReturnNotes
      parameters:
        - in: path
          name: return_id
          schema:
            type: integer
          required: true
          description: The unique identifier associated with the return.
      responses:
        '200':
          $ref: '#/components/responses/ReturnNotes'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/NoReturnNotes'
      security:
        - api_key: []
components:
  responses:
    ReturnNotes:
      description: Success
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ReturnNote'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    examples:
                      - '401'
                  http_code:
                    type: string
                    examples:
                      - GEN-UNAUTHORIZED
                  message:
                    type: string
                    examples:
                      - Unauthorized.
    NoReturnNotes:
      description: Unprocessable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureMessage'
  schemas:
    ReturnNote:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
          description: The unique identifier associated with the return note.
        content:
          type: string
          examples:
            - This is a sample note
          description: The content of the note.
        created_at:
          type: string
          examples:
            - '2023-08-15 13:19:20'
          description: >-
            The date and time at which the note was created, in `Y-m-d H:i:s`
            format.
    FailureMessage:
      description: The value returned when no notes can be retrieved for the return.
      type: boolean
      examples:
        - false
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````